Index: uspace/lib/hound/src/protocol.c
===================================================================
--- uspace/lib/hound/src/protocol.c	(revision 33b8d024bc268f2773c26e74a40dada11bb71e58)
+++ uspace/lib/hound/src/protocol.c	(revision 5b61171402bf41905f2575034ebd820663168e72)
@@ -73,5 +73,5 @@
 		uint8_t channels;
 		uint8_t format;
-	} f __attribute__((packed));
+	} __attribute__((packed)) f;
 	sysarg_t arg;
 } format_convert_t;
@@ -385,4 +385,10 @@
 void hound_connection_handler(ipc_callid_t iid, ipc_call_t *icall, void *arg)
 {
+	hound_context_id_t id;
+	errno_t ret;
+	int flags;
+	void *source;
+	void *sink;
+
 	/* Accept connection if there is a valid iface*/
 	if (server_iface) {
@@ -397,5 +403,5 @@
 		ipc_callid_t callid = async_get_call(&call);
 		switch (IPC_GET_IMETHOD(call)) {
-		case IPC_M_HOUND_CONTEXT_REGISTER: {
+		case IPC_M_HOUND_CONTEXT_REGISTER:
 			/* check interface functions */
 			if (!server_iface || !server_iface->add_context) {
@@ -407,11 +413,11 @@
 
 			/* Get context name */
-			errno_t ret =
-			    async_data_write_accept(&name, true, 0, 0, 0, 0);
+			ret = async_data_write_accept(&name, true, 0, 0, 0, 0);
 			if (ret != EOK) {
 				async_answer_0(callid, ret);
 				break;
 			}
-			hound_context_id_t id = 0;
+
+			id = 0;
 			ret = server_iface->add_context(server_iface->server,
 			    &id, name, record);
@@ -424,6 +430,5 @@
 			}
 			break;
-		}
-		case IPC_M_HOUND_CONTEXT_UNREGISTER: {
+		case IPC_M_HOUND_CONTEXT_UNREGISTER:
 			/* check interface functions */
 			if (!server_iface || !server_iface->rem_context) {
@@ -433,11 +438,10 @@
 
 			/* get id, 1st param */
-			hound_context_id_t id = IPC_GET_ARG1(call);
-			const errno_t ret =
-			    server_iface->rem_context(server_iface->server, id);
+			id = IPC_GET_ARG1(call);
+			ret = server_iface->rem_context(server_iface->server,
+			    id);
 			async_answer_0(callid, ret);
 			break;
-		}
-		case IPC_M_HOUND_GET_LIST: {
+		case IPC_M_HOUND_GET_LIST:
 			/* check interface functions */
 			if (!server_iface || !server_iface->get_list) {
@@ -447,9 +451,9 @@
 
 			char **list = NULL;
-			const int flags = IPC_GET_ARG1(call);
+			flags = IPC_GET_ARG1(call);
 			size_t count = IPC_GET_ARG2(call);
 			const bool conn = IPC_GET_ARG3(call);
 			char *conn_name = NULL;
-			errno_t ret = EOK;
+			ret = EOK;
 
 			/* get connected actor name if provided */
@@ -501,6 +505,5 @@
 			free(list);
 			break;
-		}
-		case IPC_M_HOUND_CONNECT: {
+		case IPC_M_HOUND_CONNECT:
 			/* check interface functions */
 			if (!server_iface || !server_iface->connect) {
@@ -509,10 +512,10 @@
 			}
 
-			void *source = NULL;
-			void *sink = NULL;
+			source = NULL;
+			sink = NULL;
 
 			/* read source name */
-			errno_t ret =
-			    async_data_write_accept(&source, true, 0, 0, 0, 0);
+			ret = async_data_write_accept(&source, true, 0, 0, 0,
+			    0);
 			/* read sink name */
 			if (ret == EOK)
@@ -527,6 +530,5 @@
 			async_answer_0(callid, ret);
 			break;
-		}
-		case IPC_M_HOUND_DISCONNECT: {
+		case IPC_M_HOUND_DISCONNECT:
 			/* check interface functions */
 			if (!server_iface || !server_iface->disconnect) {
@@ -535,10 +537,10 @@
 			}
 
-			void *source = NULL;
-			void *sink = NULL;
+			source = NULL;
+			sink = NULL;
 
 			/* read source name */
-			errno_t ret =
-			    async_data_write_accept(&source, true, 0, 0, 0, 0);
+			ret = async_data_write_accept(&source, true, 0, 0, 0,
+			    0);
 			/*read sink name */
 			if (ret == EOK)
@@ -552,6 +554,5 @@
 			async_answer_0(callid, ret);
 			break;
-		}
-		case IPC_M_HOUND_STREAM_ENTER: {
+		case IPC_M_HOUND_STREAM_ENTER:
 			/* check interface functions */
 			if (!server_iface || !server_iface->is_record_context
@@ -563,6 +564,6 @@
 
 			/* get parameters */
-			hound_context_id_t id = IPC_GET_ARG1(call);
-			const int flags = IPC_GET_ARG2(call);
+			id = IPC_GET_ARG1(call);
+			flags = IPC_GET_ARG2(call);
 			const format_convert_t c = {.arg = IPC_GET_ARG3(call)};
 			const pcm_format_t f = {
@@ -574,5 +575,5 @@
 
 			void *stream;
-			errno_t ret = server_iface->add_stream(server_iface->server,
+			ret = server_iface->add_stream(server_iface->server,
 			    id, flags, f, bsize, &stream);
 			if (ret != EOK) {
@@ -604,5 +605,4 @@
 			}
 			break;
-		}
 		case IPC_M_HOUND_STREAM_EXIT:
 		case IPC_M_HOUND_STREAM_DRAIN:
